SPI\_register\_relation

|   SPI\_register\_relation   |                        |                         |                  |                                         |
|:---------------------------:|------------------------|-------------------------|------------------|-----------------------------------------|
|[Prev](spi-spi-saveplan.html)|[Up](spi-interface.html)|47.1. Interface Functions|[Home](index.html)| [Next](spi-spi-unregister-relation.html)|

---

[]()[]()

## SPI\_register\_relation

SPI\_register\_relation — make an ephemeral named relation available by name in SPI queries

## Synopsis

```
int SPI_register_relation(EphemeralNamedRelation enr)

```

## Description

`SPI_register_relation` makes an ephemeral named relation, with associated information, available to queries planned and executed through the current SPI connection.

## Arguments

`EphemeralNamedRelation *`enr`*`

 the ephemeral named relation registry entry

## Return Value

 If the execution of the command was successful then the following (nonnegative) value will be returned:

`SPI_OK_REL_REGISTER`

 if the relation has been successfully registered by name

 On error, one of the following negative values is returned:

`SPI_ERROR_ARGUMENT`

 if *`enr`* is `NULL` or its `name` field is `NULL`

`SPI_ERROR_UNCONNECTED`

 if called from an unconnected C function

`SPI_ERROR_REL_DUPLICATE`

 if the name specified in the `name` field of *`enr`* is already registered for this connection

---

|[Prev](spi-spi-saveplan.html)|[Up](spi-interface.html)| [Next](spi-spi-unregister-relation.html)|
|:----------------------------|:----------------------:|----------------------------------------:|
|        SPI\_saveplan        |   [Home](index.html)   |        SPI\_unregister\_relation        |

 // \<![CDATA[ \<-- For SVG support if ('WebSocket' in window) { (function() { function refreshCSS() { var sheets = [].slice.call(document.getElementsByTagName("link")); var head = document.getElementsByTagName("head")[0]; for (var i = 0; i \< sheets.length; ++i) { var elem = sheets[i]; head.removeChild(elem); var rel = elem.rel; if (elem.href && typeof rel != "string" || rel.length == 0 || rel.toLowerCase() == "stylesheet") { var url = elem.href.replace(/(&|\\?)\_cacheOverride=\\d+/, ''); elem.href = url + (url.indexOf('?') \>= 0 ? '&' : '?') + '\_cacheOverride=' + (new Date().valueOf()); } head.appendChild(elem); } } var protocol = window.location.protocol === 'http:' ? 'ws://' : 'wss://'; var address = protocol + window.location.host + window.location.pathname + '/ws'; var socket = new WebSocket(address); socket.onmessage = function(msg) { if (msg.data == 'reload') window.location.reload(); else if (msg.data == 'refreshcss') refreshCSS(); }; console.log('Live reload enabled.'); })(); } // ]]\>